#!/bin/bash

command="$1"
file="$2"
big_yotta_console="/opt/BigYottaHeadless/BigYottaConsole"

printHelp()
{
cat << EOF
usage:
    list - print upload list
    dir <baseDir> - print baseDir
    createLocal <filepath> - start upload file to sequencing.com
    createRemote <filepath> - start upload file by url to sequencing.com
    invalidate <fileId> - stop uploading file
    pause <fileId> - pause uploading file
    resume <fileId> - resume uploading file
    reupload <fileId> - try to upload file again
    status <fileId> - get file status
    checkUpdates - check Big Yotta updates
    log - view log file
EOF
}
if [ -z "$command" ]; then 
    echo "Command missing" 
    printHelp
elif [ "$command" = "list" ] || [ "$command" = "checkUpdates" ]; then
    $big_yotta_console -"$command" 2>/dev/null
elif [ "$command" = "log" ]; then
    cat ~/.bigyotta/logs/headless/client.log
elif [ -z $file ]; then
    echo "File missing" 
    printHelp
elif [ "$command" = "createLocal" ] || [ "$command" = "createRemote" ] || [ "$command" = "dir" ]; then
    $big_yotta_console -"$command" -f=$file 2>/dev/null
elif [ "$command" = "invalidate" ] || [ "$command" = "pause" ] || [ "$command" = "resume" ] || [ "$command" = "reupload" ] || [ "$command" = "status" ]; then
    $big_yotta_console -"$command" -fileId=$file 2>/dev/null
else 
    printHelp
fi